edunordeste | 1 May 12:54 2006
Picon

typo in the docs (User-backend-properties.html)

Hi!
The text reads:
minimum-Y-extent (pair of numbers)
    See minimum-Y-extent.

It should be:
minimum-Y-extent (pair of numbers)
    See minimum-X-extent.

Regards,

Eduardo Vieira
--------------------------------------------------------------------------------
Aqui na Oi Internet você ganha ou ganha. Além de acesso grátis com qualidade, 
ganha contas ilimitadas de email com 1 giga cada uma. Ganha 60 mega para hospedar 
sua página pessoal. Ganha flog, suporte grátis e muito mais. Baixe grátis o 
Discador em http://www.oi.com.br/discador e comece a ganhar.

Agora, se o seu negócio é voar na internet sem pagar uma fortuna, assine 
Oi Internet banda larga por apenas R$ 9,90. Clique em 
http://www.oi.com.br/bandalarga e aproveite essa bocada!
CSÉCSYLászló | 1 May 13:34 2006
Picon

Can't package 2.8.1 for frugalware in a usable way

Hi lilypond people,

I've encountered several issues while trying to package lilypond 2.8.1 for 
frugalware.

1. configure needs that "--with-ncsb-dir=/usr/share/ghostscript/fonts" switch 
to recognize espgs' fonts.

2. mf/GNUmakefile needs to be patched to recognize latest stable mftrace:
---snip---
diff -Naur lilypond-2.8.1.orig/mf/GNUmakefile lilypond-2.8.1/mf/GNUmakefile
--- lilypond-2.8.1.orig/mf/GNUmakefile  2006-03-29 18:16:42.000000000 +0200
+++ lilypond-2.8.1/mf/GNUmakefile       2006-04-22 22:02:58.000000000 +0200
 <at>  <at>  -138,7 +138,7  <at>  <at> 
        ${MAKE} -C $(top-build-dir) link-mf-tree

 pfa_warning:
-ifneq ($(shell $(MFTRACE) --version | sed 's/ .*//'),mftrace)
+ifneq ($(shell $(MFTRACE) --version | sed 's/ .*//;q'),mftrace)
         <at> echo ""
         <at> echo "ERROR: mftrace not found"
         <at> echo ""
---snip---

3. With these modifications lilypond compiles, but doesn't work well:
---snip---
boobaa <at> jabitha:~/data/lily$ lilypond Welcome_to_LilyPond.ly
GNU LilyPond 2.8.1
Processing `/usr/share/lilypond/2.8.1/ly/Welcome_to_LilyPond.ly'
Parsing...
(Continue reading)

Han-Wen Nienhuys | 1 May 15:15 2006

Re: Can't package 2.8.1 for frugalware in a usable way

CSÉCSYLászló schreef:
> Hi lilypond people,
> 
> I've encountered several issues while trying to package lilypond 2.8.1 for 
> frugalware.

> /usr/share/lilypond/2.8.1/ly/Welcome_to_LilyPond.ly:30:16: warning: note head 
> `noteheads.d2' not found
>   c d e f g a b
>                 c
> 

> Would you be so kind to help me out of this madness?

there have been some bugs in recent mftrace releases, but 1.2.3 should 
be fine.  which version did you try?

--

-- 

Han-Wen Nienhuys - hanwen <at> lilypond.org - http://www.xs4all.nl/~hanwen

LilyPond Software Design
  -- Code for Music Notation
http://www.lilypond-design.com
CSÉCSYLászló | 1 May 16:38 2006
Picon

Re: Can't package 2.8.1 for frugalware in a usable way

Han-Wen Nienhuys <hanwen <at> lilypond.org> writes:

> there have been some bugs in recent mftrace releases, but 1.2.3 should 
> be fine.  which version did you try?
In the morning, I tried mftrace 1.2.0. Now I've tried with 1.2.3, without 
joy - but the warnings are gone. Any other ideas?

Bye, Boobaa
Mats Bengtsson | 1 May 21:18 2006
Picon
Picon

Re: typo in the docs (User-backend-properties.html)

Thanks! Fixed in CVS!

   /Mats

Quoting edunordeste <at> oi.com.br:

> Hi!
> The text reads:
> minimum-Y-extent (pair of numbers)
>    See minimum-Y-extent.
>
> It should be:
> minimum-Y-extent (pair of numbers)
>    See minimum-X-extent.
>
>
> Regards,
>
> Eduardo Vieira
> --------------------------------------------------------------------------------
> Aqui na Oi Internet você ganha ou ganha. Além de acesso grátis com qualidade,
> ganha contas ilimitadas de email com 1 giga cada uma. Ganha 60 mega 
> para hospedar
> sua página pessoal. Ganha flog, suporte grátis e muito mais. Baixe grátis o
> Discador em http://www.oi.com.br/discador e comece a ganhar.
>
> Agora, se o seu negócio é voar na internet sem pagar uma fortuna, assine
> Oi Internet banda larga por apenas R$ 9,90. Clique em
> http://www.oi.com.br/bandalarga e aproveite essa bocada!
>
(Continue reading)

Graham Percival | 2 May 15:03 2006
Picon

Re: Bug: eigths-bars overlap in choirstaff


On 29-Apr-06, at 4:41 PM, Sietse Brouwer wrote:

> When I use the template for SATB vocal score from the manual,
> and both the altos and the tenors sing a c' in eights, then
> the bars that connect the eights notes overlap. See below example.

Thanks!  This has been added to the bugs database as 
c-beam-between-staff.ly

%
% sietse <at> gawab.com
\version "2.8.1"
\header {
texidoc = "Beams can collide between two staffs."
reportedin = "2.8.1"
}
\paper{
   ragged-right = ##t
}
\score { <<
   \new Staff { \voiceTwo c'4 c'8 c'8 }
   \new Staff { \voiceOne c'''4 c'''8 c'''8 }
 >>
}

> * And I do wonder why the post.gmane.org programme tells me I'm
> top posting. I hope including this line fixes that.

When it sees a line starting with >> , it assumes that is quoted text.  
(Continue reading)

Rick Kimpel | 2 May 18:00 2006
Picon

Lyric extender over staff

Running 2.8.1 on WinXP

from the example page:
http://lilypond.org/doc/v2.8/Documentation/user/lilypond/lily-132501948.ly
If you try to add extenders to either the tenor or soprano lyrics, the extenders
don't show up.  It happens with anything above the staff to which the notes are
tied.  See my example below.  Am I just doing something wrong?  Is there a
workaround?  Perhaps a way to force the extender engraver?

Why does it think I'm top-posting??  I had to remove the sample snippet to get
this through.

Rick
Michal Vopalensky | 2 May 20:50 2006
Picon

Lilypond-book does not produce png

Hi,

I'm using LilyPond 2.8.1 on WinXP and had a horrible time trying to process some
html files containing the lilypond fragments. Everything went OK (after I put
the lilypond-book in function installing Python...), but no png files where ever
generated in the end. I debugged the source code in Python of lilypond-book and
it really seems to me that a line was forgotten somewhere around the line 1398,
under "def process_snippets", or more concretely under "def my_system". Beneath
the line 

if ly_names: my_system (string.join ([cmd, 'snippet-map.ly'] + ly_names))

I think there is missing a line

if png_names: my_system (string.join ([cmd, '-f png', 'snippet-map.ly'] +
png_names))

When I put this line into the source, everything was alright.

Please, can you let me know, if it is possible that this line was forgotten, and
that what I did is right? (never in touch with Python before...)

Thank you,

Michal Vopalensky
Martin Bergande | 3 May 01:57 2006
Picon
Picon

rest positioning failure

dear all,

why does "b4/rest" in the following file.ly position the rest - exactly like
"r4" - to f'' (see the attached pdf output), while "a4/rest" and "c4/rest"
would work as expected? Is there a special command apart from tweaking to
enforce the b' position?

martin

%%%%% start file.ly

\version "2.7.40"

\score { 

  \context PianoStaff << 

    \new Staff  { \override Score.BarNumber #'break-visibility =
#all-invisible << 

% Sopran

      { \key f \major \relative c'
	{ \partial 4*1 f a g a bes c2 a4\fermata
	  d c bes a g a2 \fermata
	  b4\rest c d e f e d2 c4\fermata
	  a bes a g g f2.\fermata \bar "|." } } \\ 

% Alt

(Continue reading)

Eduardo Vieira | 3 May 02:23 2006
Picon

Re: Lyric extender over staff

There is a work around for that:
Quoting message from the archives: Lyric extender problem

Mats Bengtsson wrote:
Luckily, there is a workaround, namely to use the alignAboveContext
property that so far only is documented in the example called
"alignment-order.ly" in the Regression Tests document. Then you don't
have to define the Lyrics contexts before you use them. Instead you can
do:

\version "2.8.0"

sopMusic = \relative c'' {
  c4 c c8( b) c4
}
sopWords = \lyricmode {
  hi hi hi __ hi
}
     \score { <<
    \new Staff = women {
      \new Voice =
      "sopranos"  \sopMusic    }
      \context Lyrics = sopI {\set alignAboveContext = "women"
\lyricsto sopranos \sopWords }
    \context Lyrics = sopII \lyricsto sopranos \sopWords
  >>
}

I have no idea why this works but the other version doesn't work, though.
%% end quote
(Continue reading)


Gmane